{% form_theme form 'bootstrap_4_layout.html.twig' %}
{{ form_start(form) }}
    {{ form_widget(form.title) }}
    <ul class="items mt-3" data-prototype="{{ form_widget(form.items.vars.prototype)|e('html_attr') }}">
        {% for item in form.items %}
            <li>
            <div class="liste_item d-flex justify-content-between mb-2" style="width:250px">
                {{ form_row(item.label) }}
                {{ form_row(item.isCheck) }}
            </div>

            
        {% endfor %}
    </ul>
    <div style="display:none">{{ form_rest(form) }}</div>
        
            </li>
    <button id="saveListe" class="btn">Mettre à jour</button>
{{ form_end(form) }}

<script src="//ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="text/javascript">
    var $collectionHolder;

    var $addItemBtn = $('<button type="button" class="btn btn-sm btn-success add_item_link">Ajouter un item</button>');
    var $newLinkLi = $('<li></li>').append($addItemBtn);

    $(document).ready(function() {

        $collectionHolder = $('ul.items');
        $collectionHolder.find('div.liste_item').each(function() {
            addItemFormDeleteLink($(this));
        });
        $collectionHolder.append($newLinkLi);
        $collectionHolder.data('index', $collectionHolder.find(':input').length);

        $addItemBtn.on('click', function(e) {
            addItemForm($collectionHolder, $newLinkLi);
        });
    });

    function addItemForm($collectionHolder, $newLinkLi) {
        var prototype = $collectionHolder.data('prototype');
        var index = $collectionHolder.data('index');

        var newForm = prototype;
        newForm = newForm.replace(/__name__/g, index);
        
        $collectionHolder.data('index', index + 1);
        var $newFormLi = $('<li></li>').append(newForm);
        addItemFormDeleteLink($newFormLi.find('div#liste_items_' +index));
        $newFormLi.find('div#liste_items_' +index)
            .addClass('d-flex justify-content-between mb-2')
            .css('width', '250px');

        $newLinkLi.before($newFormLi);
        
    }

    function addItemFormDeleteLink($tagFormLi) {
        var $removeFormButton = $('<button type="button">x</button>');
        $tagFormLi.append($removeFormButton);

        $removeFormButton.on('click', function(e) {
            $tagFormLi.parent('li').remove();
        });
    }
</script>
